package mbs.controllers;


/**
 * Can be used to listen presentation controller changes
 */
public interface PresentationListener
{
    // Indicates that the presentation is ongoing
    public static final int EVENT_PRESENTING = 0;
    public static final int EVENT_ERROR      = 1;

    /**
     * Notified when some event occurs in the presentation engine
     *
     * @param aEventType Type of the presentation event
     * @param aMessage Message describing the event. May be null
     */
    public void notifyPresentationEvent(int aEventType, String aMessage);
}

// End of File
