package mbs.views;

import javax.microedition.lcdui.*;
import javax.microedition.broadcast.platform.PlatformProvider;
import javax.microedition.broadcast.platform.PlatformProviderSelector;
import javax.microedition.broadcast.esg.ServiceGuideListener;
import javax.microedition.broadcast.esg.ServiceGuideData;
import mbs.controllers.ServiceGuideController;

public class PlatformProviderView extends Form implements ViewBase, ServiceGuideListener {
    // Current PlatformProvider

    private PlatformProvider iProvider;
    private ServiceGuideController iController;
   
    // Commands

    private Command iCmdBack=new Command("Back", Command.BACK, 2);;
    private Command iCmdExit=new Command("Exit", Command.EXIT, 1);;

    /**
     * Constructor
     */
    PlatformProviderView() {
        super("Platform Providers");
       addCommand(iCmdBack);
       addCommand(iCmdExit);
    }

    /**
     * From ServiceGuideListener
     */
    public void serviceGuideUpdated(
            String aEvent,
            ServiceGuideData aDerviceGuideData,
            Object aEventData) {
        AlertNote note = null;
        ViewBase currentView = ViewHandler.getCurrentView();
        Displayable displayable = currentView.getDisplayable();

        System.out.println("PlatformProviderView.serviceGuideUpdated() aEvent=" + aEvent);

        if (aEvent.equalsIgnoreCase(
                ServiceGuideListener.SERVICE_GUIDE_UPDATE_STARTED)) {
            note = new AlertNote("Service guide change",
                    "ESG update started",
                    AlertType.INFO,
                    displayable);
        } else if (aEvent.equalsIgnoreCase(
                ServiceGuideListener.SERVICE_GUIDE_UPDATE_COMPLETED)) {
            note = new AlertNote("Service guide change",
                    "ESG update completed",
                    AlertType.INFO,
                    displayable);
        } else if (aEvent.equalsIgnoreCase(
                ServiceGuideListener.SERVICE_GUIDE_UPDATE_FAILED)) {
            note = new AlertNote("Service guide change",
                    "ESG update failed!",
                    AlertType.ERROR,
                    displayable);
        } else if (aEvent.equalsIgnoreCase(
                ServiceGuideListener.SERVICE_GUIDE_DELETED)) {
            note = new AlertNote("Service guide change",
                    "ESG invalidated",
                    AlertType.INFO,
                    displayable);
            note.execute();
            return;
        }

        if (note != null) {
            note.execute();
        }

        updateProviderInfo();
    }

    /**
     * Activates the view
     */
    public void activate() {
        append("In PlatformProviderView");
        // Get currently selected platform provider
        iProvider = PlatformProviderSelector.getCurrentProvider();
        // Initialize Service guide
        iController = ServiceGuideController.getInstance();
     //   iController.initialize();
    //    iController.updateServiceGuide();//added
        ViewHandler.activateView(ViewHandler.SERVICES_VIEW_ID);//added
    
    }

    /**
     * Deactivates the view
     */
    public void deactivate() {
        // Nothing to do here
    }

    /**
     * Returns the displayable of this view
     *
     * @return Displayable of this view
     */
    public Displayable getDisplayable() {
        return this;
    }

    /**
     * Sets the command listener for this view
     *
     * @param aListener The command listener listening commands for this view
     */
    public void setCommandListener(CommandListener aListener) {
        super.setCommandListener(aListener);
    }

    /**
     * Handles a command which is delegated to this object
     *
     * @param aCommand The Command to be handled
     * @param aDisplayable The displayable which initiated the command
     */
    public void handleCommand(Command aCommand, Displayable aDisplayable) {
       
        if (aCommand == iCmdBack)
        {
              ViewHandler.activatePreviousView();
        }
    }

    /**
     * Updates the provider information
     */
    private void updateProviderInfo() {
    }

}
// End of File

