package mbs.views;




import javax.microedition.broadcast.esg.CommonMetadataSet;
import javax.microedition.broadcast.esg.DataUnavailableException;
import javax.microedition.broadcast.purchase.PurchaseObject;
import javax.microedition.lcdui.Image;
import java.io.IOException;
import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.AlertType;
import javax.microedition.lcdui.Display;

/**
 * Shows information about subscribed purchase objects.
 */
public class SubscribedObjectsView extends PurchaseObjectsView {
    // Constants

    /**
     * Constructor
     */
    SubscribedObjectsView() {
        super();
        setTitle("Subscribed objects");
    }

    /**
     * Asks subscribed purchase objects from the engine and updates the list.
     */
    protected synchronized void reloadPurchaseObjects() {
        Image purchasedImage = null;

        Class tempClass = getClass();
        try {
            purchasedImage = Image.createImage(
                    tempClass.getResourceAsStream(PURCHASED_IMAGE));
        } catch (IOException ioe) {
            // Ignored, no icons shown for the user.
            ioe.printStackTrace();
        }

        deleteAll();
        iPurchaseObjects.removeAllElements();

        PurchaseObject[] objects = iController.getSubscriptions();
        //from here
        if (objects == null) {
            append("Nothing", null);
            Alert iAlert = new Alert("Note ", "There are no subscribed items.", null, AlertType.INFO);
            Display.getDisplay(null).setCurrent(iAlert);
            iAlert.setTimeout(20000);
            ViewHandler.activatePreviousView();
        } else { //added till here
            for (int i = 0; i < objects.length; i++) {
                String name;

                try {
                    name = (String) objects[i].getStringValue(
                            CommonMetadataSet.PURCHASE_ITEM_NAME);
                } catch (DataUnavailableException due) {
                    name = "(no name)";
                }

                iPurchaseObjects.addElement(objects[i]);
                append(name, purchasedImage);
            }
        }
    }
}
