package mbs.views;

// EXTERNAL IMPORTS
import javax.microedition.lcdui.*;

/**
 * Alert note which can be used to display different types
 * of alert notes (errors, notifications and warnings) for
 * the user
 */
public class AlertNote extends Alert {
    // Next displayable after the alarm has completed

    private Displayable iNextDisplayable;

    /**
     * Constructor
     */
    public AlertNote(
            String aTitle,
            String aMessage,
            AlertType aType,
            Displayable aNextDisplayable) {
        super(aTitle, aMessage, null, aType);

        iNextDisplayable = aNextDisplayable;

        setTimeout(Alert.FOREVER);
    }

    /**
     * Executes this alarm note. After the note has been acknowledged
     * the view is switched to the view which created this alert note
     */
    public void execute() {
        // It is not possible to return from an alert to an alert
        if (!(iNextDisplayable instanceof Alert)) {
            // ViewHandler.getDisplay().setCurrent(this, iNextDisplayable);
            ViewHandler.getDisplay().setCurrent(this);
        }
    }
}
